Bug 584974 - Review Request: R-combinat - R routines for combinatorics
Review Request: R-combinat - R routines for combinatorics
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Pierre-YvesChibon
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 585810
  Show dependency treegraph
 
Reported: 2010-04-22 15:57 EDT by josef radinger
Modified: 2010-07-13 03:54 EDT (History)
3 users (show)

See Also:
Fixed In Version: R-combinat-0.0.7-5.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-13 03:51:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
pingou: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Comment 1 Pierre-YvesChibon 2010-04-28 05:39:33 EDT
Having no answer from you on the devel mailing-list I only went quickly through this package.

There are the few remarks I have:
- Fix version
  The version of this package is 0.0.7 not 0.0 cf 
  http://fedoraproject.org/wiki/Packaging:R#R_version
  (Why did you change compare to R-bitops ?)
- Fix %check
  Package builds fine with the %check here
- Fix %changelog
  Please update the format of the changelog, the version-release should be on the same line as the changelog entry.
  This point is valid for at least R-bitops to.
Comment 2 josef radinger 2010-04-30 14:40:01 EDT
(In reply to comment #1)
> Having no answer from you on the devel mailing-list I only went quickly through
> this package.
> 
> There are the few remarks I have:
> - Fix version
>   The version of this package is 0.0.7 not 0.0 cf 
>   http://fedoraproject.org/wiki/Packaging:R#R_version
>   (Why did you change compare to R-bitops ?)

fault on my side
i found the problem and forgot to fix it on all packages
fixed

> - Fix %check
>   Package builds fine with the %check here
agreed and fixed

> - Fix %changelog
>   Please update the format of the changelog, the version-release should be on
> the same line as the changelog entry.
>   This point is valid for at least R-bitops to.    
http://fedoraproject.org/wiki/Packaging:Guidelines#Changelogs states that this format is valid, too. I prefer this as i often build on very small resolution-screens and would have to scroll otherwise.
Comment 4 Pierre-YvesChibon 2010-04-30 17:00:38 EDT
(In reply to comment #2)
> (In reply to comment #1)
> > - Fix version
> >   The version of this package is 0.0.7 not 0.0 cf 
> >   http://fedoraproject.org/wiki/Packaging:R#R_version
> >   (Why did you change compare to R-bitops ?)
> 
> fault on my side
> i found the problem and forgot to fix it on all packages
> fixed

"I found the problem", do you know R2spec ?
Comment 5 Pierre-YvesChibon 2010-05-01 05:28:50 EDT
With the changes made, there is the review:

* source files match upstream:
    md5sum combinat_0.0-7.tar.gz 
61f163db2d314df276786631e2d6d966  combinat_0.0-7.tar.gz
   md5sum rpmbuild/SOURCES/combinat_0.0-7.tar.gz 
61f163db2d314df276786631e2d6d966  rpmbuild/SOURCES/combinat_0.0-7.tar.gz

* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text not included upstream.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in koji ( http://koji.fedoraproject.org/koji/taskinfo?taskID=2152940 ).
* package installs properly
* rpmlint produces 4 warnings, safe to ignore (spelling).
  2 packages and 0 specfiles checked; 0 errors, 4 warnings.
* final provides and requires are sane
* %check is present and all tests pass.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.


** APPROVED **
Comment 6 josef radinger 2010-05-01 12:12:42 EDT
New Package CVS Request
=======================
Package Name: R-combinat
Short Description: R routines for combinatorics
Owners: cheese
Branches: F-12 F-13
InitialCC: cheese
Comment 7 Kevin Fenzi 2010-05-03 22:55:02 EDT
CVS done (by process-cvs-requests.py).
Comment 8 Pierre-YvesChibon 2010-05-06 14:09:26 EDT
same remark about tex(latex)
Comment 9 Fedora Update System 2010-05-08 08:44:02 EDT
R-combinat-0.0.7-5.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/R-combinat-0.0.7-5.fc12
Comment 10 Fedora Update System 2010-05-08 08:51:28 EDT
R-combinat-0.0.7-5.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/R-combinat-0.0.7-5.fc13
Comment 11 Fedora Update System 2010-05-08 12:11:29 EDT
R-combinat-0.0.7-5.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update R-combinat'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/R-combinat-0.0.7-5.fc13
Comment 12 Fedora Update System 2010-05-10 13:00:41 EDT
R-combinat-0.0.7-5.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update R-combinat'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/R-combinat-0.0.7-5.fc12
Comment 13 Pierre-YvesChibon 2010-06-28 03:19:20 EDT
Could we see this push to stable ?
Comment 14 Fedora Update System 2010-07-13 03:51:38 EDT
R-combinat-0.0.7-5.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2010-07-13 03:54:24 EDT
R-combinat-0.0.7-5.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.